angular.module('muzli-template', [])
  .run(['$templateCache', function($templateCache) {
    $templateCache.put('modules/feed/feed.drv.colors.html',
    '<section id="feed" class="palettes">\n' +
    '\n' +
    '<ul\n' +
    '	infinite-scroll=\'::loadMore()\'\n' +
    '	infinite-scroll-distance=\'::infiniteScrollDistance\'\n' +
    '	infinite-scroll-immediate-check=\'false\'\n' +
    '	infinite-scroll-disabled=\'!feed.length\'>\n' +
    '\n' +
    '	<li ng-repeat="item in feed track by (item.id || item.link)"\n' +
    '	ng-class="::{\n' +
    '		article: item.source.article && !item.video,\n' +
    '		visited: item.visited,\n' +
    '		hasStats: item.hasStats, pick: item.pick,\n' +
    '		feedSuggest: !!item.promotion,\n' +
    '		fallbackImage: item.fallbackImage,\n' +
    '		showSharePromo: item.displaySharePromo,\n' +
    '		outside: item.isOutside,\n' +
    '		showMenu: item.showMenu,\n' +
    '		}"\n' +
    '	class="angular-animate"\n' +
    '	data-muzli-id="{{::item.id}}">\n' +
    '\n' +
    '		<div class="tile">\n' +
    '\n' +
    '			<div class="feedLink">\n' +
    '\n' +
    '				<span class="icon-image" ng-click="item.showPhoto = !item.showPhoto"></span>\n' +
    '\n' +
    '				<div class="postPhoto">\n' +
    '					<div class="palette" style="background: {{item.palette[item.palette.length - 1]}}" ng-class="{hidden: item.showPhoto}">\n' +
    '						<span ng-repeat="color in item.palette"\n' +
    '							style="background: {{color}}"\n' +
    '							title-top="true"\n' +
    '							click-copy-color="{{::color}}"\n' +
    '							brightness="{{::color}}"\n' +
    '							prevent-click>\n' +
    '							{{color}}\n' +
    '						</span>\n' +
    '					</div>\n' +
    '					<a class="wrapper" ng-mousedown="::postClick(item, $event)" target="_blank" ng-href="{{::item.link_out}}">\n' +
    '						<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" src="" alt="" />\n' +
    '					</a>\n' +
    '				</div>\n' +
    '\n' +
    '				<div class="postInfo">\n' +
    '					<div class="download" title="Download palette (SVG)" ng-click="downloadSVG(item, $event)">Download</div>\n' +
    '				</div>\n' +
    '\n' +
    '			</div>\n' +
    '\n' +
    '			<div class="postMeta">\n' +
    '\n' +
    '				<div class="details angular-animate">\n' +
    '\n' +
    '					<span class="favorite icon-fav" ng-click="::toggleFavorite($event, item)" ng-if="::showFavorite" ng-class="{ active: item.favorite }" title="Save item" title-top="true"></span>\n' +
    '\n' +
    '					<div class="post-menu" ng-if="user && !user.anonymous">\n' +
    '\n' +
    '						<i class="icon-menu" title="More options" title-top="true" ng-click="item.showMenu = !item.showMenu"></i>\n' +
    '\n' +
    '						<ul class="dropdown" ng-if="item.showMenu" click-outside="item.showMenu = false">\n' +
    '							<li ng-if="!item.nsfw && !item.userNSFW"><a href="" ng-click="::markNSFW(item)">Report NSFW</a></li>\n' +
    '							<li ng-if="item.userNSFW"><a href="" ng-click="::unmarkNSFW(item)">Mark as SFW</a></li>\n' +
    '							<li><a href="" ng-click="::markHidden(item)">Hide this from My feed</a></li>\n' +
    '						</ul>\n' +
    '					</div>\n' +
    '\n' +
    '					<div class="stats pull-right">\n' +
    '\n' +
    '						<span class="action" ng-click="::openDNlink($event, item.link_out_direct)" ng-if="item.source.name == \'designer_news\' && item.external_url" title="Open discussion" title-top="true">\n' +
    '							<span class="icon-chat"></span>\n' +
    '						</span>\n' +
    '\n' +
    '						<span title="Votes" title-top="true" ng-if="::item.source.name === \'producthunt\'">\n' +
    '							<span class="icon-ph"></span>\n' +
    '							<span>{{::item.stats.likes || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '\n' +
    '						<span title="Views" title-top="true" ng-if="::item.clicks > 0">\n' +
    '							<span class="icon-view"></span>\n' +
    '							<span>{{::item.clicks || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '						<span title="Shares" title-top="true">\n' +
    '							<span class="icon-share"></span>\n' +
    '							<span>{{::item.virality || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '	                </div>\n' +
    '\n' +
    '	            </div>\n' +
    '\n' +
    '			</div>\n' +
    '		</div>\n' +
    '\n' +
    '	</li>\n' +
    '</ul>\n' +
    '\n' +
    '<div ng-show="feed && !feed.length && !blockEmpty && !isRendering" ng-transclude="no-data">\n' +
    '</div>\n' +
    '\n' +
    '<ul class="dummy" ng-show="!feed" ng-hide="hideGhost">\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '</ul>\n' +
    '\n' +
    '</section>\n' +
    '')
  $templateCache.put('modules/feed/feed.drv.favorites.html',
    '<section id="feed" class="palettes"><!-- Feed posts -->\n' +
    '\n' +
    '<ul\n' +
    '	infinite-scroll=\'::loadMore()\'\n' +
    '	infinite-scroll-distance=\'::infiniteScrollDistance\'\n' +
    '	infinite-scroll-immediate-check=\'false\'\n' +
    '	infinite-scroll-disabled=\'!feed.length\'>\n' +
    '\n' +
    '	<li ng-repeat="item in feed track by (item.id || item.link)"\n' +
    '	ng-class="::{\n' +
    '		article: item.source.article && !item.video,\n' +
    '		visited: item.visited,\n' +
    '		viral: !!item.viralTimes,\n' +
    '		hasStats: item.hasStats, pick: item.pick,\n' +
    '		animated: item.animated || item.webm,\n' +
    '		\'inline-video\': !!item.htmlVideo,\n' +
    '		video: !!item.video,\n' +
    '		playing: item.playing,\n' +
    '		vlog: !!item.sub_source,\n' +
    '		nsfw: !!item.nsfw || !!item.userNSFW,\n' +
    '		feedSuggest: !!item.promotion,\n' +
    '		fallbackImage: item.fallbackImage,\n' +
    '		showSharePromo: item.displaySharePromo,\n' +
    '		outside: item.isOutside,\n' +
    '		showMenu: item.showMenu,\n' +
    '		}"\n' +
    '	class="angular-animate"\n' +
    '	data-muzli-id="{{::item.id}}">\n' +
    '\n' +
    '		<!-- Color items -->\n' +
    '		<div class="tile" ng-if="::item.source.name === \'colors\'">\n' +
    '\n' +
    '			<div class="feedLink">\n' +
    '\n' +
    '				<span class="icon-image" ng-if="item.image" ng-click="item.showPhoto = !item.showPhoto"></span>\n' +
    '\n' +
    '				<div class="postPhoto">\n' +
    '					<div class="palette" style="background: {{item.palette[item.palette.length - 1]}}" ng-class="{hidden: item.showPhoto}">\n' +
    '						<span ng-repeat="color in item.palette"\n' +
    '							style="background: {{color}}"\n' +
    '							title-top="true"\n' +
    '							click-copy-color="{{::color}}"\n' +
    '							brightness="{{::color}}"\n' +
    '							prevent-click>\n' +
    '							{{color}}\n' +
    '						</span>\n' +
    '					</div>\n' +
    '					<a class="wrapper" ng-mousedown="::postClick(item, $event)" target="_blank" ng-href="{{::item.link_out}}">\n' +
    '						<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" src="" alt="" />\n' +
    '					</a>\n' +
    '				</div>\n' +
    '\n' +
    '				<div class="postInfo">\n' +
    '					<div class="download" title="Download palette (SVG)" ng-click="downloadSVG(item, $event)">Download</div>\n' +
    '				</div>\n' +
    '\n' +
    '			</div>\n' +
    '\n' +
    '			<div class="postMeta">\n' +
    '\n' +
    '				<div class="details angular-animate">\n' +
    '\n' +
    '					<span class="remove" ng-click="::removeFavorite($event, $index, item)" title="Remove" title-top="true"></span>\n' +
    '\n' +
    '					<div class="stats pull-right">\n' +
    '\n' +
    '						<span class="action" ng-click="::openDNlink($event, item.link_out_direct)" ng-if="item.source.name == \'designer_news\' && item.external_url" title="Open discussion" title-top="true">\n' +
    '							<span class="icon-chat"></span>\n' +
    '						</span>\n' +
    '\n' +
    '						<span title="Votes" title-top="true" ng-if="::item.source.name === \'producthunt\'">\n' +
    '							<span class="icon-ph"></span>\n' +
    '							<span>{{::item.stats.likes || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '\n' +
    '						<span title="Views" title-top="true" ng-if="::item.clicks > 0">\n' +
    '							<span class="icon-view"></span>\n' +
    '							<span>{{::item.clicks || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '						<span title="Shares" title-top="true">\n' +
    '							<span class="icon-share"></span>\n' +
    '							<span>{{::item.virality || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '	                </div>\n' +
    '\n' +
    '	            </div>\n' +
    '\n' +
    '			</div>\n' +
    '		</div>\n' +
    '\n' +
    '		<!-- Simple items -->\n' +
    '		<div class="tile" ng-if="::item.source.name !== \'colors\'">\n' +
    '\n' +
    '			<a target="_blank" ng-href="{{::item.link_out}}" class="feedLink" ng-mousedown="::postClick(item, $event)">\n' +
    '\n' +
    '				<div class="postPhoto" >\n' +
    '\n' +
    '					<i ng-if="item.nsfw || item.userNSFW">NSFW</i>\n' +
    '\n' +
    '					<img ng-if="::!item.video" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" src="" alt="" />\n' +
    '\n' +
    '					<video ng-if="::item.htmlVideo" ng-src="{{::item.htmlVideo}}" video-loader playsinline loop autoplay muted></video>\n' +
    '\n' +
    '					<div class="share">\n' +
    '						<span class="facebook icon-facebook" ng-click="::openSharer($event, \'facebook\', item)" title="Share on Facebook" title-top="true"></span>\n' +
    '						<span class="twitter icon-twitter" ng-click="::openSharer($event, \'twitter\', item)" title="Share on Twitter" title-top="true"></span>\n' +
    '						<span class="linkedin icon-linkedin" ng-click="::openSharer($event, \'linkedin\', item)" title="Share on LinkedIn" title-top="true"></span>\n' +
    '						<span class="slack icon-slack" ng-click="::sendSlack($event, item)" title="Share on Slack" title-bottom="true"></span>\n' +
    '					</div>\n' +
    '\n' +
    '					<muzli-video ng-if="::item.video" ng-click="::videoClick(item, $event)"></muzli-video>\n' +
    '\n' +
    '					<div class="share-promo" ng-if="item.displaySharePromo">\n' +
    '						<div class="sharers">\n' +
    '							<h4>Nice! Maybe your friends will also enjoy this?</h4>\n' +
    '							<span class="facebook icon-facebook" ng-click="::openSharer($event, \'facebook\', item)" title="Share on Facebook"></span>\n' +
    '							<span class="twitter icon-twitter" ng-click="::openSharer($event, \'twitter\', item)" title="Share on Twitter"></span>\n' +
    '							<span class="linkedin icon-linkedin" ng-click="::openSharer($event, \'linkedin\', item)" title="Share on LinkedIn"></span>\n' +
    '							<span class="slack icon-slack" ng-click="::sendSlack($event, item)" title="Share on Slack"></span>\n' +
    '						</div>\n' +
    '					</div>\n' +
    '\n' +
    '					<span class="badge"></span>\n' +
    '				</div>\n' +
    '\n' +
    '				<div class="postInfo">\n' +
    '\n' +
    '					<div class="source-wrapper">\n' +
    '						<span class="source" title="{{::item.tooltip}}"\n' +
    '						ui-sref="feed(::{ name: item.source.name })"\n' +
    '						ng-click="::sourceClick($event, item.source.name)"\n' +
    '						ng-style="::{\'background-image\': \'url(images/icon_{{item.source.name}}.png)\'}"\n' +
    '						title="::item.source.title"></span>\n' +
    '\n' +
    '						<span class="vlogUser" title="{{::item.sub_source.title}}"\n' +
    '						ng-if="::item.sub_source"\n' +
    '						ng-style="::{\'background-image\': \'url(images/icon_{{item.sub_source.name}}.png)\'}"\n' +
    '						data-name="{{::item.sub_source.title}}"></span>\n' +
    '					</div>\n' +
    '\n' +
    '					<div class="palette" ng-if="::item.palette && !item.source.article && enablePalettes">\n' +
    '\n' +
    '						<div ng-click="downloadSVG(item, $event)" class="icon-download"></div>\n' +
    '\n' +
    '						<span ng-repeat="color in item.palette"\n' +
    '							style="background: {{color}}; border-color: {{color}}"\n' +
    '							title="{{copySuccess ? \'Copied\' : color}}"\n' +
    '							title-top="true"\n' +
    '							click-copy-color="{{::color}}"\n' +
    '							prevent-click>\n' +
    '						</span>\n' +
    '					</div>\n' +
    '\n' +
    '					<h3 ng-bind="::item.title"></h3>\n' +
    '					<span class="created">{{item.created | timeAgo}}</span>\n' +
    '				</div>\n' +
    '			</a>\n' +
    '\n' +
    '			<div class="postMeta">\n' +
    '\n' +
    '				<div class="details angular-animate">\n' +
    '\n' +
    '					<span class="remove" ng-click="::removeFavorite($event, $index, item)" title="Remove" title-top="true"></span>\n' +
    '\n' +
    '					<div class="stats pull-right">\n' +
    '\n' +
    '						<span class="action" ng-click="::openDNlink($event, item.link_out_direct)" ng-if="item.source.name == \'designer_news\' && item.external_url" title="Open discussion" title-top="true">\n' +
    '							<span class="icon-chat"></span>\n' +
    '						</span>\n' +
    '\n' +
    '						<span title="Votes" title-top="true" ng-if="::item.source.name === \'producthunt\'">\n' +
    '							<span class="icon-ph"></span>\n' +
    '							<span>{{::item.stats.likes || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '\n' +
    '						<span title="Views" title-top="true" ng-if="::item.clicks > 0">\n' +
    '							<span class="icon-view"></span>\n' +
    '							<span>{{::item.clicks || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '						<span title="Shares" title-top="true">\n' +
    '							<span class="icon-share"></span>\n' +
    '							<span>{{::item.virality || 0 | thousandSuffix:1}}</span>\n' +
    '						</span>\n' +
    '	                </div>\n' +
    '\n' +
    '	            </div>\n' +
    '\n' +
    '			</div>\n' +
    '		</div>\n' +
    '\n' +
    '	</li>\n' +
    '</ul>\n' +
    '\n' +
    '<div ng-show="feed && !feed.length && !blockEmpty && !isRendering" ng-transclude="no-data">\n' +
    '</div>\n' +
    '\n' +
    '<ul class="ghost" ng-hide="hideGhost" >\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '	<li></li>\n' +
    '</ul>\n' +
    '\n' +
    '</section>\n' +
    '')
  $templateCache.put('modules/feed/feed.drv.html',
    '<section id="feed">\n' +
    '\n' +
    '	<ul\n' +
    '		infinite-scroll=\'::loadMore()\'\n' +
    '		infinite-scroll-distance=\'::infiniteScrollDistance\'\n' +
    '		infinite-scroll-immediate-check=\'false\'\n' +
    '		infinite-scroll-disabled=\'!feed.length\'>\n' +
    '\n' +
    '		<li class="sponsored show" ng-if="feed.length && sponsored">\n' +
    '\n' +
    '		<div class="tile">\n' +
    '			<a target=\'_blank\' class="feedLink" ng-href="{{::sponsored.link}}" ng-click="::promotionClick()">\n' +
    '				<div class="postPhoto">\n' +
    '					<img ng-if="!sponsored.image" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" alt=""/>\n' +
    '					<img ng-if="sponsored.image" ng-src="{{::sponsored.image}}" alt=""/>\n' +
    '					<img class="beacon" style="visibility: hidden;" ng-src="{{::sponsored.beacon}}" ng-if="showAdPixel" alt=""/>\n' +
    '				</div>\n' +
    '				<div class="postInfo">\n' +
    '					<h3>{{::sponsored.name}}</h3>\n' +
    '\n' +
    '					</div>\n' +
    '					<h4>PROMOTED</h4>\n' +
    '				</a>\n' +
    '			</div>\n' +
    '		</li>\n' +
    '\n' +
    '		<li ng-repeat="item in feed track by (item.id || item.link)"\n' +
    '		ng-class="::{\n' +
    '			article: item.source.article && !item.video,\n' +
    '			visited: item.visited,\n' +
    '			viral: !!item.viralTimes,\n' +
    '			hasStats: item.hasStats, pick: item.pick,\n' +
    '			animated: item.animated || item.webm,\n' +
    '			\'inline-video\': !!item.htmlVideo,\n' +
    '			video: !!item.video,\n' +
    '			playing: item.playing,\n' +
    '			vlog: !!item.sub_source,\n' +
    '			nsfw: !!item.nsfw || !!item.userNSFW,\n' +
    '			feedSuggest: !!item.promotion,\n' +
    '			fallbackImage: item.fallbackImage,\n' +
    '			showSharePromo: item.displaySharePromo,\n' +
    '			outside: item.isOutside,\n' +
    '			showMenu: item.showMenu,\n' +
    '			}"\n' +
    '		class="angular-animate"\n' +
    '		data-muzli-id="{{::item.id}}">\n' +
    '\n' +
    '			<!-- Simple items -->\n' +
    '			<div class="tile" ng-if="::item.source.name !== \'colors\'">\n' +
    '\n' +
    '				<a target="_blank" ng-href="{{::item.link_out}}" class="feedLink" ng-mousedown="::postClick(item, $event)">\n' +
    '\n' +
    '					<div class="postPhoto" >\n' +
    '\n' +
    '						<i ng-if="item.nsfw || item.userNSFW">NSFW</i>\n' +
    '\n' +
    '						<img ng-if="::!item.video" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" src="" alt="" />\n' +
    '\n' +
    '						<video ng-if="::item.htmlVideo" ng-src="{{::item.htmlVideo}}" video-loader playsinline autoplay loop muted></video>\n' +
    '\n' +
    '						<muzli-video ng-if="::item.video" ng-click="::videoClick(item, $event)"></muzli-video>\n' +
    '\n' +
    '						<div class="share">\n' +
    '							<span class="facebook icon-facebook" ng-click="::openSharer($event, \'facebook\', item)" title="Share on Facebook" title-top="true"></span>\n' +
    '							<span class="twitter icon-twitter" ng-click="::openSharer($event, \'twitter\', item)" title="Share on Twitter" title-top="true"></span>\n' +
    '							<span class="linkedin icon-linkedin" ng-click="::openSharer($event, \'linkedin\', item)" title="Share on LinkedIn" title-top="true"></span>\n' +
    '							<span class="slack icon-slack" ng-click="::sendSlack($event, item)" title="Share on Slack" title-bottom="true"></span>\n' +
    '						</div>\n' +
    '\n' +
    '						<div class="share-promo" ng-if="item.displaySharePromo">\n' +
    '							<div class="sharers">\n' +
    '								<h4>Nice! Maybe your friends will also enjoy this?</h4>\n' +
    '								<span class="facebook icon-facebook" ng-click="::openSharer($event, \'facebook\', item)" title="Share on Facebook"></span>\n' +
    '								<span class="twitter icon-twitter" ng-click="::openSharer($event, \'twitter\', item)" title="Share on Twitter"></span>\n' +
    '								<span class="linkedin icon-linkedin" ng-click="::openSharer($event, \'linkedin\', item)" title="Share on LinkedIn"></span>\n' +
    '								<span class="slack icon-slack" ng-click="::sendSlack($event, item)" title="Share on Slack"></span>\n' +
    '							</div>\n' +
    '						</div>\n' +
    '\n' +
    '						<span class="badge"></span>\n' +
    '\n' +
    '					</div>\n' +
    '\n' +
    '					<div class="postInfo">\n' +
    '\n' +
    '						<div class="source-wrapper">\n' +
    '\n' +
    '							<span class="source" title="{{::item.tooltip}}"\n' +
    '							ui-sref="feed(::{ name: item.source.name })"\n' +
    '							ng-click="::sourceClick($event, item.source.name)"\n' +
    '							ng-style="::{\'background-image\': \'url(images/icon_{{item.source.name}}.png)\'}"\n' +
    '							title="::item.source.title"></span>\n' +
    '\n' +
    '							<span class="vlogUser" title="{{::item.sub_source.title}}"\n' +
    '							ng-if="::item.sub_source"\n' +
    '							ng-style="::{\'background-image\': \'url(images/icon_{{item.sub_source.name}}.png)\'}"\n' +
    '							data-name="{{::item.sub_source.title}}"></span>\n' +
    '\n' +
    '						</div>\n' +
    '\n' +
    '						<div class="palette" ng-if="::item.palette && !item.source.article && enablePalettes">\n' +
    '\n' +
    '							<div ng-click="downloadSVG(item, $event)" class="icon-download" title="Download palette (SVG)"></div>\n' +
    '\n' +
    '							<span ng-repeat="color in item.palette"\n' +
    '								style="background: {{color}}; border-color: {{color}}"\n' +
    '								title="{{copySuccess ? \'Copied\' : color}}"\n' +
    '								title-top="true"\n' +
    '								click-copy-color="{{::color}}"\n' +
    '								prevent-click>\n' +
    '							</span>\n' +
    '						</div>\n' +
    '\n' +
    '						<h3 ng-bind="::item.title"></h3>\n' +
    '						<span class="created">{{item.created | timeAgo}}</span>\n' +
    '					</div>\n' +
    '				</a>\n' +
    '\n' +
    '				<div class="postMeta">\n' +
    '\n' +
    '					<div class="details angular-animate">\n' +
    '\n' +
    '						<span class="favorite icon-fav" ng-click="::toggleFavorite($event, item)" ng-if="::showFavorite" ng-class="{ active: item.favorite }" title="Save item" title-top="true"></span>\n' +
    '\n' +
    '						<div class="post-menu" ng-if="user && !user.anonymous">\n' +
    '\n' +
    '							<i class="icon-menu" title="More options" title-top="true" ng-click="item.showMenu = !item.showMenu"></i>\n' +
    '\n' +
    '							<ul class="dropdown" ng-if="item.showMenu" click-outside="item.showMenu = false">\n' +
    '								<li ng-if="!item.nsfw && !item.userNSFW"><a href="" ng-click="::markNSFW(item)">Report NSFW</a></li>\n' +
    '								<li ng-if="item.userNSFW"><a href="" ng-click="::unmarkNSFW(item)">Mark as SFW</a></li>\n' +
    '								<li><a href="" ng-click="::markHidden(item)">Hide this from My feed</a></li>\n' +
    '								<li><a href="" ng-click="::demoteSource(item.source)">Hide all content from <strong>{{::item.source.title}}</strong></a></li>\n' +
    '							</ul>\n' +
    '						</div>\n' +
    '\n' +
    '						<div class="stats pull-right">\n' +
    '\n' +
    '							<span class="action" ng-click="::openDNlink($event, item.link_out_direct)" ng-if="item.source.name == \'designer_news\' && item.external_url" title="Open discussion" title-top="true">\n' +
    '								<span class="icon-chat"></span>\n' +
    '							</span>\n' +
    '\n' +
    '							<span title="Votes" title-top="true" ng-if="::item.source.name === \'producthunt\'">\n' +
    '								<span class="icon-ph"></span>\n' +
    '								<span>{{::item.stats.likes || 0 | thousandSuffix:1}}</span>\n' +
    '							</span>\n' +
    '\n' +
    '							<span title="Views" title-top="true" ng-if="::item.clicks > 0">\n' +
    '								<span class="icon-view"></span>\n' +
    '								<span>{{::item.clicks || 0 | thousandSuffix:1}}</span>\n' +
    '							</span>\n' +
    '							<span title="Shares" title-top="true">\n' +
    '								<span class="icon-share"></span>\n' +
    '								<span>{{::item.virality || 0 | thousandSuffix:1}}</span>\n' +
    '							</span>\n' +
    '		                </div>\n' +
    '\n' +
    '		            </div>\n' +
    '\n' +
    '				</div>\n' +
    '			</div>\n' +
    '\n' +
    '			<!-- Color items -->\n' +
    '			<div class="tile color" ng-if="::item.source.name === \'colors\'">\n' +
    '\n' +
    '				<div class="feedLink">\n' +
    '\n' +
    '					<span class="icon-image" ng-if="item.image" ng-click="item.showPhoto = !item.showPhoto"></span>\n' +
    '\n' +
    '					<div class="postPhoto">\n' +
    '						<div class="palette" style="background: {{item.palette[item.palette.length - 1]}}" ng-class="{hidden: item.showPhoto}">\n' +
    '							<span ng-repeat="color in item.palette"\n' +
    '								style="background: {{color}}"\n' +
    '								title-top="true"\n' +
    '								click-copy-color="{{::color}}"\n' +
    '								brightness="{{::color}}"\n' +
    '								prevent-click>\n' +
    '								{{color}}\n' +
    '							</span>\n' +
    '						</div>\n' +
    '						<a class="wrapper" ng-mousedown="::postClick(item, $event)" target="_blank" ng-href="{{::item.link_out}}">\n' +
    '							<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" src="" alt="" />\n' +
    '						</a>\n' +
    '					</div>\n' +
    '\n' +
    '					<div class="postInfo">\n' +
    '						<div class="download" title="Download palette (SVG)" ng-click="downloadSVG(item, $event)">Download</div>\n' +
    '					</div>\n' +
    '\n' +
    '				</div>\n' +
    '\n' +
    '				<div class="postMeta">\n' +
    '\n' +
    '					<div class="details angular-animate">\n' +
    '\n' +
    '						<span class="favorite icon-fav" ng-click="::toggleFavorite($event, item)" ng-if="::showFavorite" ng-class="{ active: item.favorite }" title="Save item" title-top="true"></span>\n' +
    '\n' +
    '						<div class="post-menu" ng-if="user && !user.anonymous">\n' +
    '\n' +
    '							<i class="icon-menu" title="More options" title-top="true" ng-click="item.showMenu = !item.showMenu"></i>\n' +
    '\n' +
    '							<ul class="dropdown" ng-if="item.showMenu" click-outside="item.showMenu = false">\n' +
    '								<li ng-if="!item.nsfw && !item.userNSFW"><a href="" ng-click="::markNSFW(item)">Report NSFW</a></li>\n' +
    '								<li ng-if="item.userNSFW"><a href="" ng-click="::unmarkNSFW(item)">Mark as SFW</a></li>\n' +
    '								<li><a href="" ng-click="::markHidden(item)">Hide this from My feed</a></li>\n' +
    '								<li><a href="" ng-click="::demoteSource(item.source)">Hide all content from <strong>{{::item.source.title}}</strong></a></li>\n' +
    '							</ul>\n' +
    '						</div>\n' +
    '\n' +
    '						<div class="stats pull-right">\n' +
    '\n' +
    '							<span class="action" ng-click="::openDNlink($event, item.link_out_direct)" ng-if="item.source.name == \'designer_news\' && item.external_url" title="Open discussion" title-top="true">\n' +
    '								<span class="icon-chat"></span>\n' +
    '							</span>\n' +
    '\n' +
    '							<span title="Votes" title-top="true" ng-if="::item.source.name === \'producthunt\'">\n' +
    '								<span class="icon-ph"></span>\n' +
    '								<span>{{::item.stats.likes || 0 | thousandSuffix:1}}</span>\n' +
    '							</span>\n' +
    '\n' +
    '							<span title="Views" title-top="true" ng-if="::item.clicks > 0">\n' +
    '								<span class="icon-view"></span>\n' +
    '								<span>{{::item.clicks || 0 | thousandSuffix:1}}</span>\n' +
    '							</span>\n' +
    '							<span title="Shares" title-top="true">\n' +
    '								<span class="icon-share"></span>\n' +
    '								<span>{{::item.virality || 0 | thousandSuffix:1}}</span>\n' +
    '							</span>\n' +
    '		                </div>\n' +
    '\n' +
    '		            </div>\n' +
    '\n' +
    '				</div>\n' +
    '			</div>\n' +
    '\n' +
    '		</li>\n' +
    '	</ul>\n' +
    '\n' +
    '	<ul class="ghost" ng-hide="hideGhost">\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '		<li></li>\n' +
    '	</ul>\n' +
    '\n' +
    '	<div ng-show="feed && !feed.length && !blockEmpty && !isRendering" ng-transclude="no-data">\n' +
    '	</div>\n' +
    '\n' +
    '</section>\n' +
    '')
  $templateCache.put('modules/feed/feed.drv.live.html',
    '<section id="feed" class="live">\n' +
    '\n' +
    '<ul\n' +
    '	infinite-scroll=\'::loadMore()\'\n' +
    '	infinite-scroll-distance=\'::infiniteScrollDistance\'\n' +
    '	infinite-scroll-immediate-check=\'false\'\n' +
    '	infinite-scroll-disabled=\'!feed.length\'>\n' +
    '\n' +
    '	<li ng-repeat="item in feed track by (item.id || item.link)"\n' +
    '	ng-class="::{\n' +
    '		article: item.source.article && !item.video,\n' +
    '		visited: item.visited,\n' +
    '		viral: !!item.viralTimes,\n' +
    '		hasStats: item.hasStats, pick: item.pick,\n' +
    '		animated: item.animated || item.webm,\n' +
    '		\'inline-video\': !!item.htmlVideo,\n' +
    '		video: !!item.video,\n' +
    '		playing: item.playing,\n' +
    '		vlog: !!item.sub_source,\n' +
    '		nsfw: !!item.nsfw || !!item.userNSFW,\n' +
    '		feedSuggest: !!item.promotion,\n' +
    '		fallbackImage: item.fallbackImage,\n' +
    '		outside: item.isOutside,\n' +
    '		showMenu: item.showMenu,\n' +
    '		}"\n' +
    '	class="angular-animate"\n' +
    '	data-muzli-id="{{::item.id}}">\n' +
    '	\n' +
    '		<div class="tile">\n' +
    '\n' +
    '			<a target="_blank" ng-href="{{::item.link_out}}" class="feedLink" ng-mousedown="::postClick(item, $event)">\n' +
    '\n' +
    '				<div class="postPhoto" >\n' +
    '\n' +
    '					<i ng-if="item.nsfw || item.userNSFW">NSFW</i>\n' +
    '\n' +
    '					<img ng-if="::!item.video" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" src="" alt="" />\n' +
    '\n' +
    '					<video ng-if="::item.htmlVideo" ng-src="{{::item.htmlVideo}}" video-loader playsinline autoplay loop muted></video>\n' +
    '\n' +
    '					<muzli-video ng-if="::item.video" ng-click="::videoClick(item, $event)"></muzli-video>\n' +
    '\n' +
    '					<span class="badge"></span>\n' +
    '\n' +
    '				</div>\n' +
    '\n' +
    '				<div class="postInfo">\n' +
    '\n' +
    '					<h3 ng-bind="::item.title"></h3>\n' +
    '					\n' +
    '					<span class="source">{{::item.domainName}}</span>\n' +
    '					<span class="created">{{item.created | timeAgo}}</span>\n' +
    '				</div>\n' +
    '				\n' +
    '				<div class="postStats">\n' +
    '					<div class="flex-container">\n' +
    '						<i class="icon-trend" ng-if="::item.clicks >= item.clicksPreviuos"></i>\n' +
    '						<i class="icon-trend down" ng-if="::item.clicks < item.clicksPreviuos"></i>\n' +
    '						<div class="now">{{::item.clicks || 0}}</div>\n' +
    '					</div>\n' +
    '				</div>\n' +
    '\n' +
    '			</a>\n' +
    '\n' +
    '			<div class="postMeta" ng-class="{active: item.showMenu}">\n' +
    '\n' +
    '				<div class="details angular-animate">\n' +
    '\n' +
    '					<div class="post-menu" ng-if="user && !user.anonymous">\n' +
    '\n' +
    '						<i class="icon-menu" title="More options" title-top="true" ng-click="item.showMenu = !item.showMenu"></i>\n' +
    '\n' +
    '						<ul class="dropdown" ng-if="item.showMenu" click-outside="item.showMenu = false">\n' +
    '							<li ng-if="!item.nsfw && !item.userNSFW"><a href="" ng-click="::markNSFW(item)">Report NSFW</a></li>\n' +
    '							<li ng-if="item.userNSFW"><a href="" ng-click="::unmarkNSFW(item)">Mark as SFW</a></li>\n' +
    '							<li><a href="" ng-click="::markHidden(item)">Hide this from My feed</a></li>\n' +
    '						</ul>\n' +
    '					</div>\n' +
    '\n' +
    '					<span class="favorite icon-fav" ng-click="::toggleFavorite($event, item)" ng-if="::showFavorite" ng-class="{ active: item.favorite }" title="Save item" title-top="true"></span>\n' +
    '\n' +
    '	            </div>\n' +
    '\n' +
    '			</div>\n' +
    '		</div>\n' +
    '\n' +
    '	</li>\n' +
    '</ul>\n' +
    '\n' +
    '<div class="placeholder">\n' +
    '	<h1>The most trendy content right now on Muzli</h1>\n' +
    '</div>\n' +
    '\n' +
    '<div ng-show="feed && !feed.length && !blockEmpty && !isRendering" ng-transclude="no-data">\n' +
    '</div>\n' +
    '\n' +
    '</section>\n' +
    '')
  $templateCache.put('modules/feed/feed.html',
    '<div class="feed-title">\n' +
    '\n' +
    '  <h2 ng-cloak ng-if="currentSource.name">\n' +
    '\n' +
    '    <span title="{{currentSource.description}}">{{currentSource.title}}</span>\n' +
    '\n' +
    '    <a ng-if="[\'vlogs\'].indexOf(currentSource.name) === -1" href="https://s.muz.li/go?link=http://{{currentSource.url}}" class="titleLink">\n' +
    '      <i class="icon-link" title="Go to {{currentSource.title}}\'s website"></i>\n' +
    '    </a>\n' +
    '  </h2>\n' +
    '\n' +
    '  <div class="feedSorters" ng-if="[\'search\', \'favorites\'].indexOf(currentSource) === -1 && [\'vlogs\', \'dribbble\', \'producthunt\', \'colors\'].indexOf(currentSource.name) === -1" ng-cloak>\n' +
    '    <a ng-click="::sortFeed()"ng-class="{ active: currentFeedSort !== \'virality\' }" href="" title="Sort by date">Recent</a>\n' +
    '    <a ng-click="::sortFeed(\'virality\')" ng-class="{ active: currentFeedSort === \'virality\' }" href="" title="Sort by popularity">Popular</a>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="colors-cta" ng-if="currentSource.name === \'colors\'">\n' +
    '    <a href="https://search.muz.li/color-palette-generator"><i class="icon-plus"></i> Create a color Palette</a>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="shortcuts-toggle" ng-if="currentSource">\n' +
    '\n' +
    '    <p>Pin to Sidebar</p>\n' +
    '\n' +
    '    <label class="switch" ng-click="checkAnonymous($event)">\n' +
    '        <input class="preventBlur" type="checkbox" ng-model="currentSource.isShortcut" ng-change="onToggleSource(currentSource)" ng-disabled="user.anonymous">\n' +
    '        <span class="slider"></span>\n' +
    '    </label>\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '\n' +
    '<scrollable-feed items="items" ng-hide="errors.length" sponsored="sponsored" load-on-sort show-favorite show-virality>\n' +
    '  <scrollable-feed-no-data>\n' +
    '    <div id="oops">No items yet today <a href="" ng-click="::reload()">Try again</a>.</div>\n' +
    '  </scrollable-feed-no-data>\n' +
    '</scrollable-feed>\n' +
    '')
  $templateCache.put('modules/feed/user-sources.html',
    '<div class="cf">\n' +
    '\n' +
    '  <h2>All your feeds</h2>\n' +
    '\n' +
    '  <div class="feedSorters pull-right" ng-if="[\'search\', \'favorites\'].indexOf(currentSource) === -1 && [\'vlogs\', \'dribbble\', \'producthunt\'].indexOf(currentSource.name) === -1" ng-cloak>\n' +
    '    <a ng-click="::sortFeed()"ng-class="{ active: currentFeedSort !== \'virality\' }" href="" title="Sort by date">RECENT</a>\n' +
    '    <a ng-click="::sortFeed(\'virality\')" ng-class="{ active: currentFeedSort === \'virality\' }" href="" title="Sort by popularity">Recent</a>\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '\n' +
    '<scrollable-feed items="items" sponsored="sponsored" ng-hide="errors.length" load-on-sort="viralTimes" show-favorite show-virality></scrollable-feed>\n' +
    '')
  $templateCache.put('modules/feed/video.drv.html',
    '<div ng-click="::imageClicked($event)" class="thumbnail angular-youtube-wrapper">\n' +
    '	<img ng-if="item.thumbnail" muzli-lazy="{{::item.thumbnail}}">\n' +
    '	<div ng-if="item.thumbnail" class="player-image"></div>\n' +
    '</div>')
  $templateCache.put('modules/muzli/card.drv.html',
    '<div class="tile">\n' +
    '\n' +
    '  <a target="_blank" ng-href="{{::item.link_out}}" class="feedLink" ng-mousedown="::postClick(item, $event)" >\n' +
    '    <div class="postPhoto">\n' +
    '\n' +
    '      <i ng-if="item.nsfw || item.userNSFW">NSFW</i>\n' +
    '\n' +
    '      <img ng-if="::!item.video && !item.youtube" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAAAAAAAApWe5zwAAAAF0Uk5TAEDm2GYAAAAMSURBVHjaYmAACDAAAAIAAU9tWeEAAAAASUVORK5CYII=" muzli-lazy="{{::item.image}}" muzli-gif="{{::item.gif}}" muzli-is-gif="{{::item.isGif}}" alt="" />\n' +
    '\n' +
    '      <div class="share">\n' +
    '        <span class="facebook icon-facebook" ng-click="::openSharer($event, \'facebook\', item)" title="Share on Facebook" title-top="true"></span>\n' +
    '        <span class="twitter icon-twitter" ng-click="::openSharer($event, \'twitter\', item)" title="Share on Twitter" title-top="true"></span>\n' +
    '        <span class="linkedin icon-linkedin" ng-click="::openSharer($event, \'linkedin\', item)" title="Share on LinkedIn" title-top="true"></span>\n' +
    '        <span class="slack icon-slack" ng-click="::sendSlack($event, item)" title="Share on Slack" title-bottom="true"></span>\n' +
    '      </div>\n' +
    '\n' +
    '      <muzli-video ng-if="::item.video"></muzli-video>\n' +
    '\n' +
    '      <video ng-if="::item.htmlVideo" ng-src="{{::item.htmlVideo}}" video-loader playsinline autoplay loop muted></video>\n' +
    '\n' +
    '      <span class="badge"></span>\n' +
    '\n' +
    '      <div class="share-promo" ng-if="item.displaySharePromo">\n' +
    '        <div class="sharers">\n' +
    '          <h4>Nice! Maybe your friends will also enjoy this?</h4>\n' +
    '          <span class="facebook icon-facebook" ng-click="::openSharer($event, \'facebook\', item)" title="Share on Facebook"></span>\n' +
    '          <span class="twitter icon-twitter" ng-click="::openSharer($event, \'twitter\', item)" title="Share on Twitter"></span>\n' +
    '          <span class="linkedin icon-linkedin" ng-click="::openSharer($event, \'linkedin\', item)" title="Share on LinkedIn"></span>\n' +
    '          <span class="slack icon-slack" ng-click="::sendSlack($event, item)" title="Share on Slack"></span>\n' +
    '        </div>\n' +
    '      </div>\n' +
    '\n' +
    '    </div>\n' +
    '  </a>\n' +
    '\n' +
    '  <div class="postMeta">\n' +
    '\n' +
    '    <div class="postInfo">\n' +
    '      <h3 ng-bind="::item.title"></h3>\n' +
    '      <span class="source" ng-bind="::item.source.title"></span>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="details angular-animate">\n' +
    '\n' +
    '      <span class="favorite icon-fav" ng-click="::toggleFavorite($event, item)" ng-class="{ active: item.favorite }" title="Save item" title-top="true"></span>\n' +
    '\n' +
    '      <div class="post-menu" ng-if="user && !user.anonymous">\n' +
    '\n' +
    '        <i class="icon-menu" title="More options" title-top="true" ng-click="item.showMenu = !item.showMenu"></i>\n' +
    '\n' +
    '        <ul class="dropdown" ng-if="item.showMenu" click-outside="item.showMenu = false">\n' +
    '          <li ng-if="!item.nsfw && !item.userNSFW"><a href="" ng-click="::markNSFW(item)">Report NSFW</a></li>\n' +
    '          <li ng-if="item.userNSFW"><a href="" ng-click="::unmarkNSFW(item)">Mark as SFW</a></li>\n' +
    '          <li><a href="" ng-click="::markHidden(item)">Hide this from My feed</a></li>\n' +
    '        </ul>\n' +
    '      </div>\n' +
    '\n' +
    '      <div class="stats pull-right">\n' +
    '        <span class="action" ng-click="::openDNlink($event, item.link_out_direct)" ng-if="item.source.name == \'designer_news\' && item.external_url" title="Open discussion" title-top="true">\n' +
    '          <span class="icon-chat"></span>\n' +
    '        </span>\n' +
    '\n' +
    '        <span title="Votes" title-top="true" ng-if="::item.source.name === \'producthunt\'">\n' +
    '          <span class="icon-ph"></span>\n' +
    '          <span>{{::item.stats.likes || 0 | thousandSuffix:1}}</span>\n' +
    '        </span>\n' +
    '\n' +
    '        <span title="Views" title-top="true" ng-if="::item.clicks > 0">\n' +
    '          <span class="icon-view"></span>\n' +
    '          <span>{{::item.clicks || 0 | thousandSuffix:1}}</span>\n' +
    '        </span>\n' +
    '        <span title="Shares" title-top="true">\n' +
    '          <span class="icon-share"></span>\n' +
    '          <span>{{::item.virality || 0 | thousandSuffix:1}}</span>\n' +
    '        </span>\n' +
    '      </div>\n' +
    '\n' +
    '    </div>\n' +
    '  </div>\n' +
    '</div>\n' +
    '')
  $templateCache.put('modules/muzli/home.html',
    '<nav class="tabs sticky">\n' +
    '	\n' +
    '	<a href="" ng-click="::setFeedFilter(\'all\')" ng-class="{ active: currentFeedFilter === \'all\' }">Highlights</a>\n' +
    '\n' +
    '	<a href="" ng-click="::setFeedFilter(focusedTab.name)" ng-class="{ active: currentFeedFilter === focusedTab.name }">{{focusedTab.title}}</a>\n' +
    '\n' +
    '	<a href="" ng-click="::setFeedFilter(\'top\')" ng-class="{ active: currentFeedFilter === \'top\' }"><i class="icon-trend"></i> Trending</a>\n' +
    '	\n' +
    '	<!-- Repeat category tabs w/ ordering function -->\n' +
    '	<a href="" ng-repeat="nav in navTabs" ng-click="::setFeedFilter(nav.name)" ng-class="{ active: currentFeedFilter === nav.name }">{{nav.title}}</a>\n' +
    '\n' +
    '</nav>\n' +
    '\n' +
    '<div class="home-content">\n' +
    '\n' +
    '	<div class="fade-in our-picks">\n' +
    '\n' +
    '		<div class="home-title">\n' +
    '\n' +
    '			<div class="mostVisitedContainer">\n' +
    '\n' +
    '				<div class="placeholder" ng-if="vm.showFtx === \'most-visited\' && !recentSites.length">\n' +
    '					\n' +
    '					<div class="ftx-tip most-visited-promo">\n' +
    '\n' +
    '						<div class="ftx-pop most-visited-promo"></div>\n' +
    '\n' +
    '						<p>Keep seeing your links from the default <br>Chrome new tab page.</p>\n' +
    '						<small class="privacy"><i class="icon-lock"></i> We care about your privacy. We do not track your browsing activity.</small>\n' +
    '						\n' +
    '						<div class="controls">\n' +
    '							<a href="" class="icon-close" title="Dismiss" ng-click="::authRecentSitesAction(false, \'Quick access\', \'Hide\')"></a>\n' +
    '							<a href="" class="enable" ng-click="::authRecentSitesAction(true, \'Quick access\', \'Approve\')">Enable</a>\n' +
    '						</div>\n' +
    '					</div>\n' +
    '				</div>\n' +
    '\n' +
    '				<ul class="mostVisited" ng-if="recentSites.length" ng-cloak>\n' +
    '					<li ng-repeat="site in recentSites"\n' +
    '						title=\'{{site.cleanUrl}}\'\n' +
    '						ng-class="{error: site.error}"\n' +
    '						style="{{site.imgUrl ? \'background-image: url(\' + site.imgUrl + \')\' : \'\' }}">\n' +
    '						<a ng-href=\'{{site.url}}\' ng-click="events.quickAccess.click(site.cleanUrl)"></a>\n' +
    '					</li>\n' +
    '				</ul>\n' +
    '\n' +
    '			</div>\n' +
    '			\n' +
    '		</div>\n' +
    '\n' +
    '		<section id="sticky" ng-class="{\n' +
    '			\'show\': areHomeImagesLoaded\n' +
    '		}">\n' +
    '			\n' +
    '			<!-- Sticky posts -->\n' +
    '			<ul class="picks">\n' +
    '				\n' +
    '				<li ng-repeat="item in muzliFeed track by (item.id || item.link)" \n' +
    '					ng-class="::{\n' +
    '						viral: item.viral,\n' +
    '						video: !!item.video,\n' +
    '						playing: item.playing,\n' +
    '						\'inline-video\': !!item.htmlVideo,\n' +
    '						animated: !!item.animated,\n' +
    '						nsfw: !!item.nsfw || !!item.userNSFW,\n' +
    '						showSharePromo: item.displaySharePromo,\n' +
    '						showMenu: item.showMenu,\n' +
    '						hidden: item.userHidden,\n' +
    '					}"\n' +
    '					data-muzli-id="{{::item.id}}"\n' +
    '					ng-include="\'modules/muzli/card.drv.html\'">	\n' +
    '				</li>\n' +
    '\n' +
    '				<li class="dynamic" ng-init="item = dynamicFeed[0]" ng-if="dynamicFeed.length"\n' +
    '					ng-class="::{\n' +
    '						viral: item.viral,\n' +
    '						video: !!item.video,\n' +
    '						playing: item.playing,\n' +
    '						\'inline-video\': !!item.htmlVideo,\n' +
    '						animated: !!item.animated,\n' +
    '						nsfw: !!item.nsfw || !!item.userNSFW,\n' +
    '						showSharePromo: item.displaySharePromo,\n' +
    '						showMenu: item.showMenu,\n' +
    '						hidden: item.userHidden,\n' +
    '						instagram: feedVariation === 2,\n' +
    '					}"\n' +
    '					data-muzli-id="{{::item.id}}"\n' +
    '					>	\n' +
    '\n' +
    '						<div ng-include="\'modules/muzli/card.drv.html\'"></div>\n' +
    '\n' +
    '						<div class="link">\n' +
    '							<a href="" ng-if="feedVariation === 0">\n' +
    '								<i class="icon-trend"></i> Trending on Muzli\n' +
    '							</a>\n' +
    '							<a href="" ng-if="feedVariation === 1">\n' +
    '								<i class="icon-hot"></i> Hot Right Now!\n' +
    '							</a>\n' +
    '							<a href="https://www.instagram.com/usemuzli/" ng-if="feedVariation === 2">\n' +
    '								<i class="icon-instagram"></i> @usemuzli\n' +
    '							</a>\n' +
    '						</div>\n' +
    '\n' +
    '						<a href="https://www.instagram.com/{{::item.instagramHandle}}/" class="user" ng-if="::item.instagramHandle">\n' +
    '							<img src="{{::item.userAvatar}}" alt="{{::item.userName}}" title="Posted by {{::item.userName}}">\n' +
    '						</a>\n' +
    '\n' +
    '				</li>\n' +
    '				\n' +
    '			</ul>\n' +
    '\n' +
    '		</section>\n' +
    '	</div>\n' +
    '\n' +
    '	<div class="lock-height" ng-class="{\'home-visible\': feedVisibleClass}">\n' +
    '\n' +
    '		<nav class="tabs inline">\n' +
    '			<a href="" ng-click="::setFeedFilter(\'all\')" ng-class="{ active: currentFeedFilter === \'all\' }">Your Highlights</a>\n' +
    '\n' +
    '			<a href="" ng-click="::setFeedFilter(focusedTab.name)" ng-class="{ active: currentFeedFilter === focusedTab.name }">{{focusedTab.title}}</a>\n' +
    '			\n' +
    '			<a href="" ng-click="::setFeedFilter(\'top\')" ng-class="{ active: currentFeedFilter === \'top\' }"><i class="icon-trend"></i> Trending</a>\n' +
    '\n' +
    '			<!-- Repeat category tabs w/ ordering function -->\n' +
    '			<a href="" ng-repeat="nav in navTabs | orderBy:\'order\'" ng-click="::setFeedFilter(nav.name)" ng-class="{ active: currentFeedFilter === nav.name }">{{nav.title}}</a>\n' +
    '		\n' +
    '			<a href="" ng-click="toggleSidebar()" class="preferences" title="Customise feed">\n' +
    '				<i class="icon-prefs"></i>\n' +
    '				<div class="ftx-pop sidebar-promo" ng-if="vm.ftxLeft.indexOf(\'sidebar\') !== -1" ng-cloak></div>\n' +
    '			</a>\n' +
    '\n' +
    '		</nav>\n' +
    '		\n' +
    '		<scrollable-feed ng-if="currentFeedFilter === \'top\'" items="allFeed" sponsored="sponsored" filter="currentFeedFilter" ng-hide="errors.length" load-on-sort="viralTimes" show-favorite show-virality ng-cloak></scrollable-feed>\n' +
    '\n' +
    '		<scrollable-feed ng-if="currentFeedFilter !== \'top\'" items="allFeed" sponsored="sponsored" filter="currentFeedFilter" ng-hide="errors.length" load-on-sort="viralTimes" show-favorite show-virality ng-cloak></scrollable-feed>\n' +
    '\n' +
    '	</div>\n' +
    '\n' +
    '</div>\n' +
    '')
  $templateCache.put('modules/muzli/version-info.html',
    '<div class="version-info" ng-class="{active: showAdmin}" ng-cloak>\n' +
    '	\n' +
    '	<div class="toggle" ng-click="showAdmin = !showAdmin" ng-class="{true: showAdmin}"><i></i></div>\n' +
    '\n' +
    '	<div class="pull-left" ng-if="showAdmin">\n' +
    '		<p>Environment: <strong>{{currentEnvironment}}</strong> | \n' +
    '			<a ng-repeat="environment in environments" href="" ng-click="setEnvironment(environment)">{{environment}}</a> \n' +
    '		</p>\n' +
    '		<p>API version: <strong>{{user.apiVersion}}</strong></p>\n' +
    '	</div>\n' +
    '\n' +
    '	<div class="pull-right" ng-if="showAdmin">\n' +
    '		<div class="pull-left">\n' +
    '			<p>FTX:&nbsp;&nbsp;</p>\n' +
    '		</div>\n' +
    '		<div class="pull-left">\n' +
    '			<p>\n' +
    '				<a href="" ui-sref="welcome"> Trigger FTX</a>\n' +
    '				<a href="" ui-sref="safari"> Safari FTX</a>\n' +
    '				Post-config steps:\n' +
    '				<a href="" ng-click="resetBubbles()">Reset FTX bubbles</a>\n' +
    '				<a href="" ng-click="vm.showFtx = \'scroll\'">Trigger final step</a>\n' +
    '				<a href="" ng-click="vm.showFtx = \'most-visited\'">Trigger most visited FTX</a>\n' +
    '				<a href="" ui-sref="lite-check">Lite check</a>\n' +
    '				<a href="" ng-click="triggerBoringItems()">Trigger boring items</a>\n' +
    '			</p>\n' +
    '		</div>\n' +
    '	</div>\n' +
    '\n' +
    '</div>')
  $templateCache.put('modules/search/search.html',
    '<nav class="tabs search">\n' +
    '\n' +
    '  <h2 class="resultsHeading">\n' +
    '    <span>Found {{total}} results for <strong>{{query}}</strong></span>\n' +
    '  </h2>\n' +
    '\n' +
    '  <div class="center">\n' +
    '    <a href="" ui-sref="search(::{ filter: \'all\' })" ui-sref-opts="{reload: true, notify: true}" ng-class="{ active: currentSearchFilter === \'all\' }">All results</a>\n' +
    '  \n' +
    '    <a href="" ui-sref="search(::{ filter: focusedTab.name })" ui-sref-opts="{reload: true, notify: true}" ng-class="{ active: currentSearchFilter === focusedTab.name }">{{focusedTab.title}}</a>\n' +
    '    \n' +
    '    <!-- Repeat category tabs w/ ordering function -->\n' +
    '    <a href="" ng-repeat="nav in navTabs | orderBy:\'order\'" ui-sref="search(::{ filter: nav.name })" ui-sref-opts="{reload: true, notify: true}" ng-class="{ active: currentSearchFilter === nav.name }">{{nav.title}}</a>\n' +
    '  </div>\n' +
    '\n' +
    '</nav>\n' +
    '\n' +
    '<div class="search-container">\n' +
    '  <scrollable-feed items="items" ng-hide="errors.length" show-favorite>\n' +
    '    <scrollable-feed-no-data>\n' +
    '      <div id="oops" class="emptySearch">Nothing found</div>\n' +
    '    </scrollable-feed-no-data>\n' +
    '  </scrollable-feed>\n' +
    '</div>\n' +
    '\n' +
    '')
  $templateCache.put('modules/sources/welcome-safari.html',
    '<div class="blocker welcome safari">\n' +
    '	<div class="split">\n' +
    '		<video src="https://files.muzli.space/muzli5.mp4" autoplay>\n' +
    '	</div>\n' +
    '	<div class="split">\n' +
    '		<h2>Make muzli your Homepage</h2>\n' +
    '		<p>\n' +
    '			Muzli by InVision is designed to serve as your Homepage! <br>\n' +
    '			To get the full experience, you need to set <strong>https://safari.muz.li/</strong> as your default Homepage manually, by following instructions.\n' +
    '		</p>\n' +
    '		<ul>\n' +
    '			<li>Click <strong>“Safari" ⇒ "Preferences”</strong> in the menu on the top-left corner of the screen.</li>\n' +
    '			<li>Select the <strong>“General”</strong> tab on the Preferences pop up window.</li>\n' +
    '			<li>Choose <strong>"Homepage"</strong> in the “New windows open with” drop down.</li>\n' +
    '			<li>Choose <strong>"Homepage"</strong> in the “New tab open with” drop down.</li>\n' +
    '			<li>Type <strong click-copy="https://safari.muz.li/" title="{{copySuccess ? \'Copied\' : \'Copy to clipboard\'}}" title-top="true">https://safari.muz.li/ <i class="icon-copy"></i></strong> in the “Homepage” text box and press ⏎ Return.</li>\n' +
    '			<li>Close the preferences window, and <strong>open a New tab</strong></li>\n' +
    '		</ul>\n' +
    '	\n' +
    '		<button class="cta" ng-click="$state.go(\'all\')">Got it!</button>\n' +
    '		<a href="" ng-click="$state.go(\'all\')">I\'ll do it later</a>\n' +
    '	</div>\n' +
    '</div>\n' +
    '')
  $templateCache.put('modules/sources/welcome.html',
    '<div class="blocker welcome" ng-controller="welcomeController">\n' +
    '	\n' +
    '	<div class="frame">\n' +
    '		\n' +
    '		<i class="icon-muzli"></i>\n' +
    '		\n' +
    '		<h2>Welcome to Muzli, your new tab!</h2>\n' +
    '		<p>Muzli by InVision is new-tab, design-oriented magazine that surfaces the most inspiring and engaging content out there.</p>\n' +
    '		\n' +
    '		<button class="cta" ng-click="nextFrame(\'welcome\')">Let\'s go!</button>\n' +
    '		\n' +
    '		<div class="bg">\n' +
    '			<div class="face face-1"></div>\n' +
    '			<div class="face face-2"></div>\n' +
    '			<div class="face face-3"></div>\n' +
    '		</div>\n' +
    '	\n' +
    '	</div>\n' +
    '\n' +
    '\n' +
    '	<div class="frame">\n' +
    '		<h3>Choose the type of content you want Muzli to focus on</h3>\n' +
    '		<p>Don\'t worry, you can always change it later and we\'ll make sure you won\'t miss the big things.</p>\n' +
    '		\n' +
    '		<ul class="bundles">\n' +
    '			<li ng-class="{active: activeBundle === \'design\'}">\n' +
    '				<i class="icon-check"></i>\n' +
    '				<a href="" ng-click="selectBundle(\'design\', false, true)">Design & inspiration</a>\n' +
    '			</li>\n' +
    '			<li ng-class="{active: activeBundle === \'tech\'}">\n' +
    '				<i class="icon-check"></i>\n' +
    '				<a href="" ng-click="selectBundle(\'tech\', false, true)">Technology & code</a>\n' +
    '			</li>\n' +
    '			<li ng-class="{active: activeBundle === \'news\'}">\n' +
    '				<i class="icon-check"></i>\n' +
    '				<a href="" ng-click="selectBundle(\'news\', false, true)">News & business</a>\n' +
    '			</li>\n' +
    '			<li ng-class="{active: activeBundle === \'culture\'}">\n' +
    '				<i class="icon-check"></i>\n' +
    '				<a href="" ng-click="selectBundle(\'culture\', false, true)">Culture</a>\n' +
    '			</li>\n' +
    '		</ul>\n' +
    '\n' +
    '		<button class="cta" ng-click="nextFrame(\'save-focus\')">Save</button>\n' +
    '\n' +
    '	</div>\n' +
    '\n' +
    '	<div class="frame last">\n' +
    '\n' +
    '		<div class="auth" is-eu-user>\n' +
    '\n' +
    '			<h3>Sign in or Create an account to save your content preferences and fully enjoy Muzli</h3>\n' +
    '			\n' +
    '			<div class="buttons">\n' +
    '				<a class="button google" href="" ng-click="v3SignIn(loginGoogle)">Sign up with Google</a>\n' +
    '				<a class="button facebook" href="" ng-click="v3SignIn(loginFacebook)">Sign up with Facebook</a>\n' +
    '				<a class="button twitter" href="" ng-click="v3SignIn(loginTwitter)">Sign up with Twitter</a>\n' +
    '				<a class="button email" href="" ng-click="v3SignIn(user.showEmailSignIn = true)"><i class="icon-email"></i>  Sign up with Email</a>\n' +
    '				\n' +
    '				<a class="skip" ng-click="skipSignIn()" ng-if="user.allowAnonymous">Try Muzli without signing up</a>\n' +
    '				\n' +
    '			</div>\n' +
    '\n' +
    '			<label ng-if="isGDPR">\n' +
    '				<input type="checkbox" ng-model="user.sendNewsletter" ng-true-value="false" ng-false-value="true">\n' +
    '				<span class="checkbox"><i class="icon-check"></i></span>\n' +
    '				<span>I’m not interested in updates about InVision products and services.</span>\n' +
    '			</label>\n' +
    '\n' +
    '			<div class="notes">\n' +
    '				<p>\n' +
    '					By signing in I agree to InVision\'s <a href="https://www.invisionapp.com/terms" target="_blank">Terms of Service</a> and <a href="https://www.invisionapp.com/privacy" target="_blank">Privacy Policy</a>.\n' +
    '				</p>\n' +
    '				<p>\n' +
    '					<strong>We\'ll never</strong> post to Twitter, Facebook or Google on your behalf or without permission.\n' +
    '				</p>\n' +
    '			</div>\n' +
    '\n' +
    '			<div class="auth-email" ng-if="user.showEmailSignIn == true">\n' +
    '			    <dialog ng-include="\'templates/dialog.email.html\'" class="auth-email" ng-if="true" click-outside="user.showEmailSignIn = false" ng-controller="emailAuthController" ng-cloak></dialog>\n' +
    '			</div>\n' +
    '\n' +
    '		</div>\n' +
    '\n' +
    '\n' +
    '	</div>\n' +
    '\n' +
    '</div>\n' +
    '\n' +
    '')
  $templateCache.put('modules/user/favorites.html',
    '<div class="feed-title">\n' +
    '  <h2>Your Saved Items <span ng-show="user && user.favoriteCount"></h2>\n' +
    '    <a href="" ng-hide="showFavoritesClearAll" class="clearAllStarred pull-right" ng-click="showFavoritesClearAll = true">Delete all</a>\n' +
    '    <div class="confirm pull-right" ng-show="showFavoritesClearAll">Are you sure you want to delete all your saved items? <span class="true" ng-click="clearAllFavorites()">Yes</span> or <span class="false" ng-click="showFavoritesClearAll = false">Cancel</span></div></span>\n' +
    '</div>\n' +
    '\n' +
    '<scrollable-feed items="items" ng-hide="errors.length" load-on-sort check-delete-length>\n' +
    '  <scrollable-feed-no-data>\n' +
    '    <div class="noFavs">\n' +
    '      <h5>You have no items you like yet</h5>\n' +
    '    </div>\n' +
    '  </scrollable-feed-no-data>\n' +
    '</scrollable-feed>\n' +
    '')
  $templateCache.put('templates/auth.html',
    '<div class="blocker welcome auth overlay">\n' +
    '  \n' +
    '  <div class="auth-email" ng-if="user.showEmailSignIn == true">\n' +
    '    <dialog ng-include="\'templates/dialog.email.html\'" class="auth-email" ng-if="true" click-outside="user.showEmailSignIn = false" ng-controller="emailAuthController" ng-cloak></dialog>\n' +
    '  </div>\n' +
    '  \n' +
    '  <div class="frame">\n' +
    '\n' +
    '    <a href="" ui-sref="all" class="close" ng-if="!user.hasUserLogin && user.allowAnonymous">\n' +
    '      <i class="icon-close"></i>\n' +
    '    </a>\n' +
    '\n' +
    '    <div ng-if="user.hasUserLogin">\n' +
    '\n' +
    '      <p>Sign back in to fetch your preferences.</p>\n' +
    '      \n' +
    '      <div class="buttons">\n' +
    '        <a class="button google" href="" ng-click="loginGoogle()" ng-if="!user.provider || user.provider === \'google\'">Sign in with Google</a>\n' +
    '        <a class="button facebook" href="" ng-click="loginFacebook()" ng-if="!user.provider || user.provider === \'facebook\'">Sign in with Facebook</a>\n' +
    '        <a class="button twitter" href="" ng-click="loginTwitter()" ng-if="!user.provider || user.provider === \'twitter\'">Sign in with Twitter</a>\n' +
    '        <a class="button email" href="" ng-click="user.showEmailSignIn = true" ng-if="!user.provider || user.provider === \'email\'"><i class="icon-email"></i>  Sign in with Email</a>\n' +
    '      </div>\n' +
    '\n' +
    '      <p>Other Sign In options:</p>\n' +
    '      <div class="buttons alt-auth" ng-if="user.provider">\n' +
    '        <i class="icon-google" ng-click="loginGoogle()" ng-if="user.provider !== \'google\'"></i>\n' +
    '        <i class="icon-facebook" ng-click="loginFacebook()" ng-if="user.provider !== \'facebook\'"></i>\n' +
    '        <i class="icon-twitter" ng-click="loginTwitter()" ng-if="user.provider !== \'twitter\'"></i>\n' +
    '        <i class="icon-email" ng-click="user.showEmailSignIn = true" ng-if="user.provider !== \'email\'"></i>\n' +
    '      </div>\n' +
    '\n' +
    '      <div class="notes">\n' +
    '        <p><strong>We\'ll never</strong> post to Twitter, Facebook or Google on your behalf or without permission.</p>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '    <div ng-if="!user.hasUserLogin" is-eu-user>\n' +
    '\n' +
    '      <p>Create an account to unlock all the benefits of Muzli - easily save, like, or submit your favorite content.</p>\n' +
    '      \n' +
    '      <div class="buttons">\n' +
    '        <a class="button google" href="" ng-click="loginGoogle()">Sign up with Google</a>\n' +
    '        <a class="button facebook" href="" ng-click="loginFacebook()">Sign up with Facebook</a>\n' +
    '        <a class="button twitter" href="" ng-click="loginTwitter()">Sign up with Twitter</a>\n' +
    '\n' +
    '        <span class="separator"></span>\n' +
    '\n' +
    '        <a class="button email" href="" ng-click="user.showEmailSignIn = true"><i class="icon-email"></i> Sign up via Email</a>\n' +
    '        \n' +
    '      </div>\n' +
    '\n' +
    '      <label ng-if="isGDPR">\n' +
    '        <input type="checkbox" ng-model="user.sendNewsletter" ng-true-value="false" ng-false-value="true">\n' +
    '        <span class="checkbox"><i class="icon-check"></i></span>\n' +
    '        <span>I’m not interested in updates about InVision products and services.</span>\n' +
    '      </label>\n' +
    '\n' +
    '      <div class="notes">\n' +
    '        <p>\n' +
    '          By signing in I agree to InVision\'s <a href="https://www.invisionapp.com/terms" target="_blank">Terms of Service</a> and <a href="https://www.invisionapp.com/privacy" target="_blank">Privacy Policy</a>.\n' +
    '        </p>\n' +
    '        <p>\n' +
    '          <strong>We\'ll never</strong> post to Twitter, Facebook or Google on your behalf or without permission.\n' +
    '        </p>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="bg">\n' +
    '      <div class="face face-1"></div>\n' +
    '      <div class="face face-3"></div>\n' +
    '    </div>\n' +
    '\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '')
  $templateCache.put('templates/dialog.blocker.html',
    '<div class="wrapper" ng-if="!blocker.loading">\n' +
    '  <div class="avatar">\n' +
    '    <span class="icon-muzli" ng-if="::!blocker.avatar"></span>\n' +
    '    <img ng-src="{{blocker.avatar}}" alt="{{blocker.name}}" ng-if="::blocker.avatar">\n' +
    '  </div>\n' +
    '  <h4>{{blocker.name}}</h4>\n' +
    '  <p>{{blocker.content}}</p>\n' +
    '  <button ng-click="updateExtension($event)"><i class="icon-refresh"></i>UPDATE NOW</button>\n' +
    '</div>\n' +
    '<div class="wrapper" ng-if="blocker.loading">\n' +
    '  <div class="avatar">\n' +
    '    <div class="spinner"></div>\n' +
    '  </div>\n' +
    '  <h4>Just one moment...</h4>\n' +
    '  <p>\n' +
    '    This notification should disappear automatically after the update. If it doesn\'t - try reloading this tab.\n' +
    '    <br>\n' +
    '    <small>\n' +
    '      Still not updating?\n' +
    '      <a href="https://medium.muz.li/how-to-update-muzli-for-the-latest-version-5f237dd7f18a" target="_bank">\n' +
    '      Update manually\n' +
    '      </a>\n' +
    '    </small>\n' +
    '  </p>\n' +
    '</div>')
  $templateCache.put('templates/dialog.create.html',
    '<div class="wrapper" ng-if="!isLoading" ng-cloak>\n' +
    '\n' +
    '  <form ng-submit="::submitItem(item.link, $event)" id="itemForm">\n' +
    '\n' +
    '    <h1>Share something great with us</h1>\n' +
    '    <p>New and awesome design content will be added to our network, and may even end up on the Muzli Picks feed.</p>\n' +
    '    \n' +
    '    <input tabindex="1" type="text" ng-model="item.link" placeholder="Page URL" name="itemLink" autofocus="400"/>\n' +
    '    \n' +
    '    <h3 class="error" ng-if="emptyError">Please provide a link</h3>\n' +
    '    <h3 class="error" ng-if="badUrl">Please provide a valid link</h3>\n' +
    '    <h3 class="error" ng-if="dribbbleProhibited">We’re sorry but Dribbble links are not supported at this time.</h3>\n' +
    '    <h3 class="error" ng-if="noImageExists">Sorry! We weren\'t able to fetch any image from this link.</h3>\n' +
    '    <h3 class="error" ng-if="alreadyExist">The <a href="{{existingUrl}}" target="_blank">link</a> you provided already exists on the directory, try another maybe?</h3>\n' +
    '\n' +
    '    <label>\n' +
    '      <input type="checkbox" ng-model="item.ownContent" ng-true-value="true" ng-false-value="false">\n' +
    '      <span class="checkbox"><i class="icon-check"></i></span>\n' +
    '      <span>I’ve created this</span>\n' +
    '    </label>\n' +
    '    \n' +
    '    <div class="cta">\n' +
    '      <button type="submit" ng-disabled="!item.ownContent">Share</button>\n' +
    '    </div>\n' +
    '\n' +
    '  </form>\n' +
    '\n' +
    '  <div class="guidelines">\n' +
    '    <h3>Sharing guidelines</h3>\n' +
    '    <p> We accept quality design/visual projects, animations, 3D, UI/UX prototypes, or any other visual design project.</p>\n' +
    '    <p>We don’t accept content that is promotional, copyrighted, trademarked, or inappropriate.</p>\n' +
    '    <p>Read the full <a href="http://muz.li/content-guidelines/" target="_blank">content guidelines</a></p>\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '\n' +
    '<div class="loading" ng-if="isLoading" ng-cloak>\n' +
    '\n' +
    '  <div class="loader">\n' +
    '\n' +
    '    <h1>Fetching content, please hold...</h1>\n' +
    '\n' +
    '    <div class="preloader-wrapper active">\n' +
    '      <div class="spinner-layer" [ngStyle]="{\'border-color\': color}">\n' +
    '        <div class="circle-clipper left">\n' +
    '          <div class="circle"></div>\n' +
    '        </div><div class="gap-patch">\n' +
    '          <div class="circle"></div>\n' +
    '        </div><div class="circle-clipper right">\n' +
    '          <div class="circle"></div>\n' +
    '        </div>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '  </div>\n' +
    '\n' +
    '</div>')
  $templateCache.put('templates/dialog.email.html',
    '<div class="wrapper" ng-if="!isLoading" ng-cloak>\n' +
    '\n' +
    '  <!-- Sign In -->\n' +
    '  <form ng-submit="::emailSignUp(signUpModel, $event)" class="sign-in" id="sign-in-form" ng-if="state === \'sign-in\'">\n' +
    '\n' +
    '    <p>Welcome back!</p>\n' +
    '\n' +
    '    <p class="small">Enter your email to continue…</p>\n' +
    '    \n' +
    '    <input type="email" ng-model="signUpModel.email" placeholder="Your Email" name="email" required autofocus="400"/>\n' +
    '    \n' +
    '    <p class="error" ng-if="doesNotExist">Oops, it seems account with such email does not exist.</p>\n' +
    '    \n' +
    '    <button type="submit" class="cta">Continue</button>\n' +
    '\n' +
    '    <a href="" class="toggle-signin" ng-click="switchState(\'sign-up\', $event, $event)">I\'m new to Muzli</a>\n' +
    '\n' +
    '  </form>\n' +
    '  \n' +
    '\n' +
    '  <!-- Sign Up -->\n' +
    '  <form ng-submit="::emailSignUp(signUpModel, $event)" id="sign-up-form" ng-if="state === \'sign-up\'" is-eu-user>\n' +
    '\n' +
    '    <p>Enter your email to Sign up</p>\n' +
    '    \n' +
    '    <input type="text" ng-model="signUpModel.name" placeholder="Your Name" name="name" required autofocus="400"/>\n' +
    '    <input type="email" ng-model="signUpModel.email" placeholder="Email" name="email" required />\n' +
    '    \n' +
    '    <label ng-if="isGDPR">\n' +
    '      <input type="checkbox" ng-model="signUpModel.sendNewsletter" ng-true-value="false" ng-false-value="true">\n' +
    '      <span class="checkbox"><i class="icon-check"></i></span>\n' +
    '      <span>I’m not interested in updates about InVision products and services.</span>\n' +
    '    </label>\n' +
    '    \n' +
    '    <button type="submit" class="cta">Sign Up</button>\n' +
    '\n' +
    '    <a href="" class="toggle-signin" ng-click="switchState(\'sign-in\', $event)">I already have Muzli account</a>\n' +
    '\n' +
    '  </form>\n' +
    '\n' +
    '\n' +
    '  <!-- Verify -->\n' +
    '  <form ng-submit="::emailVerify(signUpModel, $event)" id="sign-in-form" ng-if="state === \'verify\'">\n' +
    '\n' +
    '    <p>Verify your email</p>\n' +
    '\n' +
    '    <p class="small">We just sent your activation code to <strong>{{signUpModel.email}}</strong><br>Enter the code below to confirm your email address.</p>\n' +
    '    \n' +
    '    <div class="verify" verify-input>\n' +
    '      <input type="text" ng-model="signUpModel.verification[0]" placeholder="0" name="verification1" autofocus="400"/>\n' +
    '      <input type="text" ng-model="signUpModel.verification[1]" placeholder="0" name="verification2"/>\n' +
    '      <input type="text" ng-model="signUpModel.verification[2]" placeholder="0" name="verification3"/>\n' +
    '      <input type="text" ng-model="signUpModel.verification[3]" placeholder="0" name="verification4"/>\n' +
    '      <input type="text" ng-model="signUpModel.verification[4]" placeholder="0" name="verification5"/>\n' +
    '      <input type="text" ng-model="signUpModel.verification[5]" placeholder="0" name="verification6"/>\n' +
    '    </div>\n' +
    '\n' +
    '    <p class="error" ng-if="tooManyAttempts">That\'s too many attempts for your code. Try Sign In later.</p>\n' +
    '    <p class="error" ng-if="badVerification">Incorrect code.</p>\n' +
    '    \n' +
    '    <button type="submit" class="cta">Done</button>\n' +
    '\n' +
    '    <small>Make sure to keep this window open while <br> you check your inbox. \n' +
    '        <a href="" ng-click="::emailResend($event)" ng-if="!signUpModel.isResending">Resend code</a>\n' +
    '        <strong ng-if="signUpModel.isResending">Code was sent again, check your inbox.</strong>\n' +
    '    </small>\n' +
    '\n' +
    '  </form>\n' +
    '\n' +
    '  <div class="notes">\n' +
    '    <p>\n' +
    '      By signing in I agree to InVision\'s <a href="https://www.invisionapp.com/terms" target="_blank">Terms of Service</a> and <a href="https://www.invisionapp.com/privacy" target="_blank">Privacy Policy</a>.\n' +
    '    </p>\n' +
    '    <p>\n' +
    '      <strong>We\'ll never</strong> post to Twitter, Facebook or Google on your behalf or without permission.\n' +
    '    </p>\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '\n' +
    '\n' +
    '<div class="loading" ng-if="isLoading" ng-cloak>\n' +
    '\n' +
    '  <div class="loader">\n' +
    '\n' +
    '    <h1>Fetching content, please hold...</h1>\n' +
    '\n' +
    '    <div class="preloader-wrapper active">\n' +
    '      <div class="spinner-layer" [ngStyle]="{\'border-color\': color}">\n' +
    '        <div class="circle-clipper left">\n' +
    '          <div class="circle"></div>\n' +
    '        </div><div class="gap-patch">\n' +
    '          <div class="circle"></div>\n' +
    '        </div><div class="circle-clipper right">\n' +
    '          <div class="circle"></div>\n' +
    '        </div>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '  </div>\n' +
    '\n' +
    '</div>')
  $templateCache.put('templates/ftx.walktrough.html',
    '<div class="ftx-tip sidebar-promo fade-in" \n' +
    '	ng-if="vm.showFtx === \'sidebar\'" \n' +
    '	ng-cloak>\n' +
    '	<h3>Add or remove shortcuts for quickly accessing your favorite channels.</h3>\n' +
    '	<p>We already have added some, based on content preferences you have previously selected.</p>\n' +
    '</div>\n' +
    '\n' +
    '<div class="ftx-tip settings-promo fade-in" ng-if="vm.showFtx === \'settings\'" ng-cloak>\n' +
    '	<h3>Customize your preferences</h3>\n' +
    '	<p>You can change display settings, content preferences, add shortcuts to your most visited sites, change color theme and more...</p>\n' +
    '</div>\n' +
    '\n' +
    '<div class="ftx-tip scroll-promo" ng-if="vm.showFtx === \'scroll\'" ng-cloak>\n' +
    '	<h3>You are all set!</h3>\n' +
    '	<p>Scroll down or click here to dive in and see more</p>\n' +
    '</div>')
  $templateCache.put('templates/header.html',
    '<div class="logo-wrapper" click-outside="dropdownActive = false;">\n' +
    '\n' +
    '  <a class="logo" href="" ng-class="{active: dropdownActive}" prevent-click>\n' +
    '    <i class="icon-muzli" ng-click="clickLogo()"></i>\n' +
    '    <div class="title">\n' +
    '      <span>Muzli Inspiration</span>\n' +
    '      <small>by InVision </small>\n' +
    '      <i class="icon-play" ng-click="dropdownActive = !dropdownActive"></i>\n' +
    '    </div>\n' +
    '  </a>\n' +
    '\n' +
    '  <div class="dropdown">\n' +
    '    <ul ng-class="{active: dropdownActive}">\n' +
    '      <li class="link-search">\n' +
    '        <a href="https://search.muz.li"><i class="icon-muzli search"></i> <span>Search</span></a>\n' +
    '      </li>\n' +
    '      <li class="link-colors">\n' +
    '        <a href="https://colors.muz.li"><i class="icon-muzli colors"></i> <span>Colors</span></a>\n' +
    '      </li>\n' +
    '      <li class="link-collections">\n' +
    '        <a href="https://search.muz.li/inspiration/"><i class="icon-muzli collections"></i> <span>Collections</span></a>\n' +
    '      </li>\n' +
    '    </ul>\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '\n' +
    '<div class="search-container" \n' +
    '  ng-class="{\n' +
    '    \'recent-sites\': recentSites.length || vm.showFtx === \'most-visited\'\n' +
    '  }">\n' +
    '\n' +
    '  <form ng-submit="search(searchModel[activeSearch], $event, activeSearch)" id="searchForm">\n' +
    '\n' +
    '    <div class="input">\n' +
    '\n' +
    '      <i class="icon-search"></i>\n' +
    '\n' +
    '      <input name="qMuzli" \n' +
    '        maxlength="50" \n' +
    '        type="text" \n' +
    '        placeholder="Search on Muzli" \n' +
    '        ng-model="searchModel.muzli" \n' +
    '        tabindex="1" \n' +
    '        ng-focus="setSearch(\'muzli\')" \n' +
    '        lookahead\n' +
    '        />\n' +
    '\n' +
    '      <input name="qGoogle" \n' +
    '        class="secondary"\n' +
    '        maxlength="50" \n' +
    '        type="text" \n' +
    '        ng-model="searchModel.google" \n' +
    '        placeholder="or Google" \n' +
    '        tabindex="2" \n' +
    '        ng-focus="setSearch(\'google\', $event)" \n' +
    '        lookahead\n' +
    '        />\n' +
    '\n' +
    '      <input type="submit" />\n' +
    '\n' +
    '    </div>\n' +
    '\n' +
    '  </form>\n' +
    '</div>\n' +
    '\n' +
    '<div class="pull-right">\n' +
    '\n' +
    '  <div class="nav-icon create" ng-click="toggleCreateModal($event)">\n' +
    '    <span class="link" title="Share something with us!">Submit your work</span>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="nav-icon favorites"\n' +
    '     ng-cloak\n' +
    '     ng-show="user && !user.anonymous"\n' +
    '     ng-click="::clickUser()"\n' +
    '     ng-class="{active: user.favoriteCount}"\n' +
    '     >\n' +
    '    <i class="icon icon-fav" title="Saved items"></i>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="nav-icon notifications" ng-class="{active: user.unreadNotificationCount}">\n' +
    '\n' +
    '    <div class="icon" ng-click="toggleNotifications()" title="Notifications">\n' +
    '      <i class="icon-notification"></i>\n' +
    '      <span class="count" ng-bind="user.unreadNotificationCount" ng-if="user.unreadNotificationCount" ng-cloak></span>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="dropdown" ng-if="areNotificationsOpen" ng-cloak click-outside="toggleNotifications()" ng-class="{\'all-loaded\': notifications.length <= 4}">\n' +
    '\n' +
    '      <div class="title">\n' +
    '        <p class="pull-left">You have {{user.unreadNotificationCount || 0}} new message<span ng-if="user.unreadNotificationCount !== 1">s</span></p>\n' +
    '      </div>\n' +
    '\n' +
    '      <div class="messages">\n' +
    '        <ul scroll-events scroll-events-init="manual">\n' +
    '\n' +
    '          <li ng-repeat="notification in notifications | orderBy:\'pushedAt\':true | limitTo:notificationDisplayLimit " ng-class="{\n' +
    '            \'unread\': notification.isUnread,\n' +
    '            \'static\': notification.static\n' +
    '          }">\n' +
    '            <div class="avatar">\n' +
    '              <span class="icon-muzli" ng-if="::!notification.avatar"></span>\n' +
    '              <img ng-src="{{notification.avatar}}" alt="{{notification.name}}" ng-if="::notification.avatar">\n' +
    '            </div>\n' +
    '            <div class="message cf" ng-class="{\'has-image\': notification.itemImage}">\n' +
    '              <div class="timestamp">{{::notification.pushedAt | date:\'MMM d\'}}</div>\n' +
    '              <p bind-html-compile="notification.content"></p>\n' +
    '              <img ng-if="notification.itemImage" ng-src="{{::notification.itemImage}}" alt="{{::notification.name}}">\n' +
    '              <div class="cta" ng-if="notification.cta" bind-html-compile="notification.cta" ng-click="logNotificationCta(notification, $event)"></div>\n' +
    '            </div>\n' +
    '          </li>\n' +
    '\n' +
    '        </ul>\n' +
    '      </div>\n' +
    '\n' +
    '      <div class="messages-empty" ng-if="!notifications.length">\n' +
    '        <span>There are no messages for you</span>\n' +
    '      </div>\n' +
    '\n' +
    '      <div class="footnote" ng-if="notifications.length > 4">\n' +
    '        <a href="" ng-click="showAllNotifications()">See all</a>\n' +
    '      </div>\n' +
    '\n' +
    '    </div>\n' +
    '  </div>\n' +
    '\n' +
    '  <a class="user-icon"\n' +
    '     href=""\n' +
    '     ng-cloak\n' +
    '     ng-click="openMenu()"\n' +
    '     id="menuOpener"\n' +
    '     title="Settings"\n' +
    '     >\n' +
    '     <img class="avatar" ng-src="{{::user.photo}}" alt="" ng-if="user.photo" avatar-error/>\n' +
    '     <i class="icon-user" ng-if="!user.photo"></i>\n' +
    '     <div class="ftx-pop settings-promo" ng-if="vm.ftxLeft.indexOf(\'settings\') !== -1" ng-cloak></div>\n' +
    '  </a>\n' +
    '\n' +
    '</div>')
  $templateCache.put('templates/lite-check.html',
    '<div class="blocker welcome dark lite-check">\n' +
    '\n' +
    '    <div class="prompt">\n' +
    '        <i class="icon-arrow-curly"></i>\n' +
    '        <p>Look for the <i class="icon-muzli"></i> in this area</p>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="title">\n' +
    '        <i class="icon-muzli"></i>\n' +
    '        <h2>We haven’t seen you in a while</h2>\n' +
    '    </div>\n' +
    '\n' +
    '	<div class="content">\n' +
    '\n' +
    '        <div class="split">\n' +
    '            <img src="images/lite-toolbar.png" alt="Muzli Lite">\n' +
    '        </div>\n' +
    '\n' +
    '        <div class="split">\n' +
    '            <p>You have Muzli Lite installed and haven’t used it in a while.<br />This is just a reminder that you can access Muzli from its <i class="icon-muzli"></i> icon. </p>\n' +
    '            <p class="small">Muzli is designed to work best as your new-tab, maybe give it another try?</p>\n' +
    '\n' +
    '            <button class="cta" ng-click="toggleFullVersion()">Make Muzli my new tab</button>\n' +
    '            <a href="" ui-sref="all">Open Muzli</a>\n' +
    '        </div>\n' +
    '\n' +
    '	</div>\n' +
    '</div>\n' +
    '')
  $templateCache.put('templates/settings.html',
    '<!-- Uninstall -->\n' +
    '<div id="uninstall">\n' +
    '  <h3>Too Much? That\'s okay</h3>\n' +
    '  <p>Our Lite version<br /><strong style="font-weight: 700;background: lemonchiffon;">does not override your default new tab</strong>.<br />Muzli will still be accessible by clicking the icon. ( <img src="icon19.png" alt="" style="height: 13px;vertical-align: middle;"> )</p>\n' +
    '  <a href="" class="switchToLite" ng-click="::switchToLite()">Try the Lite Version</a>\n' +
    '  <a href="" ng-click="::uninstallClick()">No thanks, remove Muzli completely</a><br /><br />or <a href="" ng-click="::uninstallIntentCancel()">cancel and go back</a>\n' +
    '</div>\n' +
    '<!-- / Uninstall -->\n' +
    '\n' +
    '<!-- Settings -->\n' +
    '<div id="settings" class="cf" ng-class="{ isLite: isLiteVersion === true || isLiteVersion === false }" >\n' +
    '\n' +
    '  <div id="user" ng-cloak>\n' +
    '\n' +
    '    <div class="loggedIn" ng-show="user && !user.anonymous">\n' +
    '      \n' +
    '      <a tabindex="-1" href="" ng-click="::logOut()">Logout</a>\n' +
    '\n' +
    '      <div class="userInfo">\n' +
    '        <h5>\n' +
    '          {{::(user.displayName || user.email)}} \n' +
    '          <br> \n' +
    '          <span>via {{::(user.provider && (user.provider[0].toUpperCase() + user.provider.substr(1)))}}</span>\n' +
    '        </h5>\n' +
    '        <img class="avatar" ng-src="{{::user.photo}}" alt="" ng-if="user.photo" ng-click="::closeMenu()"/>\n' +
    '        <i class="icon-user" ng-if="!user.photo" ng-click="::closeMenu()"></i>\n' +
    '      </div>\n' +
    '\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="anonymous" ng-show="(user.anonymous || !user) && isUserResolved">\n' +
    '      <a href="" ui-sref="sign-in">Sign in</a>\n' +
    '      <div class="userInfo">\n' +
    '        <h5>Sign in to get more from Muzli</h5>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '  </div>\n' +
    '\n' +
    '  <div ng-if="isLiteVersion === true || isLiteVersion === false" class="makeHome">\n' +
    '    <label class="switch">\n' +
    '          <input type="checkbox" ng-model="isMuzliHomepage" ng-change="toggleIsLiteVersion()" class="ng-pristine ng-untouched ng-valid ng-not-empty">\n' +
    '          <span class="slider"></span>\n' +
    '          Make Muzli your homepage\n' +
    '        </label>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="layout" ng-if="!hideEnableAuthRecentSitesSetting || toggleMinimalView">\n' +
    '\n' +
    '    <h5>View Preferences</h5>\n' +
    '\n' +
    '    <ul class="appUtils">\n' +
    '\n' +
    '      <li ng-if="!hideEnableAuthRecentSitesSetting">\n' +
    '        <label class="switch">\n' +
    '          <input type="checkbox" ng-model="showRecentSites" ng-change="authRecentSitesAction(showRecentSites)" class="ng-pristine ng-untouched ng-valid ng-not-empty">\n' +
    '          <span class="slider"></span>\n' +
    '          Enable most visited\n' +
    '        </label>\n' +
    '      </li>\n' +
    '\n' +
    '      <li ng-if="toggleMinimalView">\n' +
    '        <label class="switch">\n' +
    '          <input type="checkbox" ng-model="isSwitchedToHalfViewIndicator" ng-change="toggleMinimalView()" class="ng-pristine ng-untouched ng-valid ng-not-empty">\n' +
    '          <span class="slider"></span>\n' +
    '          Full view on load\n' +
    '        </label>\n' +
    '      </li>\n' +
    '\n' +
    '    </ul>\n' +
    '\n' +
    '    <div class="preview" ng-class="{\n' +
    '      layout_1: (recentSites && !isSwitchedToHalfView),\n' +
    '      layout_2: (!recentSites && !isSwitchedToHalfView),\n' +
    '      layout_3: (!recentSites && isSwitchedToHalfView),\n' +
    '      layout_4: (!recentSites && isSwitchedToHalfView),\n' +
    '      layout_5: (recentSites && isSwitchedToHalfView),\n' +
    '      layout_6: (recentSites && isSwitchedToHalfView),\n' +
    '      layout_7: (!recentSites && !isSwitchedToHalfView),\n' +
    '    }"></div>\n' +
    '  </div>\n' +
    '\n' +
    '  \n' +
    '  <div class="defaults">\n' +
    '\n' +
    '    <div class="setting focusGroup">\n' +
    '\n' +
    '      <label>Preferred content</label>\n' +
    '\n' +
    '      <div class="dropdown" ng-click="showFocusGroupDD = !showFocusGroupDD">\n' +
    '        <div>{{user.selectedBundle || \'Design\'}}</div>\n' +
    '        <i class="icon-play"></i>\n' +
    '        <ul ng-show="showFocusGroupDD">\n' +
    '          <li ng-click="selectBundle(\'design\', true)">Design</li>\n' +
    '          <li ng-click="selectBundle(\'tech\', true)">Technology</li>\n' +
    '          <li ng-click="selectBundle(\'news\', true)">News</li>\n' +
    '          <li ng-click="selectBundle(\'culture\', true)">Culture</li>\n' +
    '        </ul>\n' +
    '      </div>\n' +
    '\n' +
    '    </div>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="separator"></div>\n' +
    '\n' +
    '  <div class="defaults">\n' +
    '\n' +
    '    <div class="setting themeToggle">\n' +
    '      <label>Color theme</label>\n' +
    '      <div class="theme">\n' +
    '        <span ng-click="::setTheme(\'dark\')" class="dark" title="Dark theme" title-dark="true" ng-class="{active: theme === \'dark\'}"><i class="icon-check"></i></span>\n' +
    '        <span ng-click="::setTheme(\'white\')" title="Light theme" title-dark="true" class="light" ng-class="{active: theme === \'white\'}"><i class="icon-check"></i></span>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="setting sharebleToggle">\n' +
    '      <label>Show content suggestions for outgoing links</label>\n' +
    '      <div class="control">\n' +
    '        <span ng-click="::toggleSharebleLinks(false)" title="Don\'t show suggestions" title-dark="true" class="hide" ng-class="{active: enableSharebleLinks === false}"><i class="icon-close"></i></span>\n' +
    '        <span ng-click="toggleSharebleLinks(true)" class="show" title="Show suggestions" title-dark="true" ng-class="{active: enableSharebleLinks === true}"><i class="icon-check"></i></span>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="setting paletteToggle">\n' +
    '      <label>Show color palettes on cards</label>\n' +
    '      <div class="control">\n' +
    '        <span ng-click="::togglePalettes(false)" title="Don\'t show palettes" title-dark="true" class="hide" ng-class="{active: enablePalettes === false}"><i class="icon-close"></i></span>\n' +
    '        <span ng-click="togglePalettes(true)" class="show" title="Show palettes" title-dark="true" ng-class="{active: enablePalettes === true}"><i class="icon-check"></i></span>\n' +
    '      </div>\n' +
    '    </div>\n' +
    '\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="separator"></div>\n' +
    '\n' +
    '  <div class="links">\n' +
    '    <div class="contact">\n' +
    '      <ul>\n' +
    '        <li ng-repeat="item in contactLinks"><a ng-href="{{::item.href}}" ng-click="::events.settingsMenu.clickLink(item.text)" ng-bind="item.text"></a></li>\n' +
    '      </ul>\n' +
    '    </div>\n' +
    '  </div>\n' +
    '\n' +
    '  <a tabindex="-1" id="uninstallLink" ng-click="::uninstallIntent()" href="" ng-if="::isExtension">Uninstall Muzli</a>\n' +
    '\n' +
    '  <div class="social">\n' +
    '\n' +
    '    <p class="pull-left">Also follow Muzli in</p>\n' +
    '\n' +
    '    <div class="list pull-right">\n' +
    '      <a class="instagram icon-instagram" href="https://www.instagram.com/usemuzli/" title="Follow on Instagram" title-dark="true"></a>\n' +
    '      <a class="medium icon-medium" href="https://medium.com/@usemuzli" title="Check on Medium" title-dark="true"></a>\n' +
    '      <a class="fb icon-facebook" href="https://facebook.com/usemuzli" title="Check on Facebook" title-dark="true"></a>\n' +
    '      <a class="twitter icon-twitter" ng-click="::twitterFollow()" href="" title="Follow on Twitter" title-dark="true"></a>\n' +
    '    </div>\n' +
    '\n' +
    '    <div class="subscribe">\n' +
    '      <a class="muzli" href="https://muz.li">https://muz.li</a>\n' +
    '      <a href="" class="copy" click-copy="https://muz.li" ng-class="{success: copySuccess}">Copy to clipboard</a>\n' +
    '    </div>\n' +
    '\n' +
    '  </div>\n' +
    '</div>\n' +
    '<!-- / Settings -->')
  $templateCache.put('templates/sidebar.html',
    '<div class="container" ng-class="{ disabled: user.anonymous }">\n' +
    '\n' +
    '  <div class="sourceSearch" ng-hide="sourcesDragged">\n' +
    '    <div class="searchContainer">\n' +
    '      <input type="text" ng-model="searchSources" ng-model-options="{ debounce: 150 }" placeholder="Search for feeds">\n' +
    '    </div>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="controls" ng-if="!user.anonymous">\n' +
    '    <p>{{user.shortcuts.length}} sources selected</p>\n' +
    '    <a href="" ng-click="clearShortcuts($event)" ng-if="!clearedShortcuts.length && user.shortcuts.length">Clear all</a>\n' +
    '    <a href="" ng-click="restoreShortcuts($event)" ng-if="clearedShortcuts.length">Undo</a>\n' +
    '  </div>\n' +
    '\n' +
    '  <div class="anonymous" ng-if="user.anonymous">\n' +
    '    <p><a ui-sref="sign-in">Sign in</a> to save your preferences</p>\n' +
    '  </div>\n' +
    '\n' +
    '  <ul class="sources" ui-sortable="sideBarSortableOptions" ng-model="sources">\n' +
    '\n' +
    '    <li ng-repeat="source in sources | sourcesFilter:searchSources as filteredSources track by source.name"\n' +
    '        data-source="{{::source.name}}"\n' +
    '        ng-class="{\n' +
    '        enabled: source.isShortcut,\n' +
    '        demoted: source.isDemoted,\n' +
    '        active: (currentSource && source.name === currentSource.name)\n' +
    '      }">\n' +
    '\n' +
    '      <i class="icon-menu"></i>\n' +
    '\n' +
    '      <i href=""\n' +
    '      class="source"\n' +
    '      ng-style="::{\'background-image\': \'url(images/icon_{{source.name}}.png)\'}"></i>\n' +
    '\n' +
    '      <span class="title" ng-click="clickSidebarSource(source, $event)">\n' +
    '        \n' +
    '        {{::source.title}} \n' +
    '        \n' +
    '        <a ng-if="::source.url" ng-href="https://s.muz.li/go?link=http://{{::source.url}}/" target="_blank" ng-click="events.sidebar.clickLink(source.name, $event)" title="Go to {{::source.title}}\'s website">\n' +
    '          <i class="icon-link"></i>\n' +
    '        </a>\n' +
    '\n' +
    '      </span>\n' +
    '\n' +
    '      <i class="icon-demoted" \n' +
    '        ng-class="{\n' +
    '          \'icon-hide\': source.isDemoted,\n' +
    '          \'icon-view\': !source.isDemoted,\n' +
    '        }"\n' +
    '        ng-click="toggleSourceDemotion(source)" \n' +
    '        title="Show in Highlights"\n' +
    '        ></i>\n' +
    '\n' +
    '      <label class="switch" ng-click="checkAnonymous()">\n' +
    '        <input type="checkbox" ng-model="source.isShortcut" ng-change="onToggleSource(source)" ng-disabled="user.anonymous">\n' +
    '        <span class="slider"></span>\n' +
    '      </label>\n' +
    '\n' +
    '    </li>\n' +
    '\n' +
    '  </ul>\n' +
    '  \n' +
    '</div>\n' +
    '\n' +
    '<div class="overlay" ng-click="::toggleSidebar()">\n' +
    '  \n' +
    '  <div class="content">\n' +
    '    <h2>Customize your shortcuts and feed preferences.</h2>\n' +
    '    <p>We do our best to show content that may interest you on the Highlights feed automatically. However, if you create a shortcut, we give that feed a small boost.</p>\n' +
    '    <p>You can always hide any unwanted content from your feed by clicking on <i class="icon-view"></i> icon while hovering.</p>\n' +
    '  </div>\n' +
    '\n' +
    '</div>\n' +
    '')

  }]);
